// pageage/project_checking/info/index.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        id:"",
        infoData:{},  
        loadShow:false,
        loginName:"",
        detectionImageList:[],
        minDetectionFileImages:[],
        detectionFiles:[],
        fileUrls:[],
        activeName:"",
        flowRecordList:[],
        request:app.globalData.reqUrl,
        list:[{id:1,text:"合格"},{id:2,text:"不合格"}],
        result:"1",
        comment:"",
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let {id} = options
        //获取缓存数据
        wx.getStorage({
        key: 'userinfo',
        success:res=>{
          this.setData({
            id,
            loginName:res.data.loginName
          }) 
          this.getInfo();
          this.getAuditinfo();
        }  
        }) 
    },

    /**
     * 获取安全检查详情信息
     * 
     */
    getInfo(){
        let {id} = this.data
        let that = this
        wx.request({
          url: app.globalData.reqUrl+'/wechat/projectDetection/info',
          method:"get",
          data:{
              id:id          
          },
          success(res){
            res = res.data
            if(res.code == 200){
              let imageUrls = [];
              let minImageUrls = [];
              let fileUrls = [];
              let fileNames = [];
              //判断附件
              if(res.data.detectionFile){
                res.data.detectionFile.split(',').forEach(element => {
                  let _file = element.split('.');
                  _file = _file[_file.length-1].toLocaleUpperCase();
                  //判断附件类型，如果是图片直接展示，非图片则显示附件
                  if(_file=="PNG"||_file=="JPG"||_file=="JPEG"){
                    imageUrls.push(that.data.request+element);
                    minImageUrls.push(that.data.request+element+'.min.jpg');
                  }else{
                    let it = element.split('/');
                    fileNames.push(it[it.length-1]);
                    fileUrls.push(element);
                  }
                });
              }
              that.setData({
                  infoData:res.data,
                  detectionImageList:imageUrls,
                  minDetectionFileImages:minImageUrls,
                  detectionFiles:fileNames,
                  fileUrls,
                  loadShow:false
              })
            }
          }
        })
    },

    /**
     * 查询流程日志
     */
    getAuditinfo(){
      let that = this
      wx.request({
        url: app.globalData.reqUrl+'/wechat/projectAuditinfo/selectProjectAuditinfo',
        method:"get",
        data:{
            fromType:"1",
            fromId:this.data.id          
        },
        success(res){
          res = res.data
          if(res.code == 200){
            that.setData({
              flowRecordList:res.data
            })
          }
        }
      })
  },

  // 手风琴
  onChange(event) {
    this.setData({
      activeName: event.detail,
    });
  },

    //保存
    onSubmitSave(){
      this.setData({
          loadShow:true
      })
      let that = this
      let {infoData,result,comment,loginName} =  that.data;
      //数据效验
      if(infoData && infoData.id){
          
      }else{
        app.toast("数据异常，请刷新页面重试!")
        that.setData({
            loadShow:false
        })
        return;
      }

      if(result==""){
          app.toast("请选择审批结果!")
          that.setData({
              loadShow:false
          })
          return;
      }
      if(comment==""){
          app.toast("请填写审批意见!")
          that.setData({
              loadShow:false
          })
          return;
      }
      let params = {
          id:infoData.id,
          detectionResult:result,
          comment,
          approveStatus:result=='1'?'4':'3',
          updateBy:loginName
      }
      let msg = result=='1'?'合格':'不合格';
      wx.showModal({
        title: '提示',
        content: '是否确定审批'+msg+'？',
        success: function (sm) {
          if (sm.confirm) {
              // 用户点击了确定 可以调用了
              wx.request({
                url: app.globalData.reqUrl + '/wechat/projectDetection/edit',
                method:"POST",
                data:params,
                header: {
                    "Username": loginName,
                    "Content-Type": "application/json"
                },
                success(res){
                    that.setData({
                        loadShow:false
                    })
                    res = res.data
                    if(res.code == 200){
                        app.toast("审批成功!")
                        setTimeout(()=>{
                        wx.redirectTo({
                          url: '../../../pageage/project_checkDetection/list/index',
                        })
                        },200)
                    }
                }
              })
            } else if (sm.cancel) {
              that.setData({
                loadShow:false
              })
              console.log('用户点击取消');
            }
          }
       }) 
  },

  //展示图片
  showImg:function(e){
      var that=this;
      wx.previewImage({
          urls: that.data.imageList,
          current: that.data.imageList[e.currentTarget.dataset.index]
      })
  },

  downFile:function(e){
    let that = this;
    wx.downloadFile({
      // 示例 url，并非真实存在
      url: app.globalData.uploadUrl+'/common/download/resource?resource='+that.data.fileUrls[0],
      success: function (res) {
        const filePath = res.tempFilePath
        wx.openDocument({
            filePath: filePath,
            success: function (res) {
                console.log('打开文档成功')
            },
            fail:function(res) {
                console.log(res)
            }
        })
      }
    })
    //app.toast("暂不支持下载！如需下载请前往后台管理系统！！")
  },

  //选择检测结果
  onSelect(e){
    this.setData({
      result:e.detail.id
    })
  },

  //审批意见
  onInputValue(e){
      let comment = e.detail.value
      this.setData({
        comment
      })
  },

  returnToPage: function () {
    /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
    wx.redirectTo({
      url: '../../../pageage/project_checkDetection/list/index',
    })
  },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})